Bug 1293978 - appliance_console failed: "Could not find rake-10.4.2 in any of the sources"
appliance_console failed: "Could not find rake-10.4.2 in any of the sources"
Status: CLOSED EOL
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.6.0
Assigned To: Nick Carboni
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 16:27 EST by Ronnie Rasouli
Modified: 2017-07-23 09:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 13:35:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronnie Rasouli 2015-12-23 16:27:46 EST
Description of problem:

After installing the CFME on new virtual machine, I got the below error.

Cannot run appliance console nor starting the appliance.

Version-Release number of selected component (if applicable)
cfme-rhos-5.5.2.0-3.x86_64

How reproducible:
100% tried with 2 different hosts

Steps to Reproduce:
1.download the latest cfme 	cfme-rhos-5.5.2.0-3.x86_64.qcow2
2. configure virtual machines using virsh
3. login to cloud forms VM
4. start appliance_console

Actual results:

failed to run appliance_console 

Expected results:

run the appliance_console or having an alternate way to configure the appliance VMDB

Additional info:

[root@localhost ~]# appliance_console
/opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/spec_set.rb:94:in `block in materialize': Could not find rake-10.4.2 in any of the sources (Bundler::GemNotFound)
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/spec_set.rb:87:in `map!'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/spec_set.rb:87:in `materialize'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/definition.rb:137:in `specs'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/definition.rb:182:in `specs_for'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/definition.rb:171:in `requested_specs'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/environment.rb:18:in `requested_specs'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler/runtime.rb:13:in `setup'
	from /opt/rh/cfme-gemset/gems/bundler-1.11.2/lib/bundler.rb:92:in `setup'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:16:in `<main>'
Comment 2 Nick Carboni 2016-01-08 08:59:55 EST
I can't reproduce this.  Are there any additional steps you took in step 2 of your reproduction steps?

I'm using VMM on Fedora to test the qcow2 disks and can just use them directly.  I'm wondering if there is some additional configuration you are doing that could be causing this issue?
Comment 3 Nick Carboni 2016-01-13 09:49:24 EST
This was actually an issue in the 5.5.2.0-1 build, but was subsequently fixed.

Can I either have access to the test environment where this is happening or can you double check the build version used?

I want to be sure because this would have to be an issue on all of the appliance versions if it is actually happening in 5.5.3.0-3 and I am not seeing it on any.

Thanks,
Nick

Note You need to log in before you can comment on or make changes to this bug.